package common.block;

import common.init.SoundEvent;

public enum SoundType {
	STONE(SoundEvent.STONE),
	WOOD(SoundEvent.WOOD),
	GRAVEL(SoundEvent.GRAVEL),
	SAND(SoundEvent.SAND),
	GRASS(SoundEvent.GRASS),
	SNOW(SoundEvent.SNOW),
	CLOTH(SoundEvent.CLOTH),
	SLIME(SoundEvent.SLIME_BIG, SoundEvent.SLIME_SMALL),
	ANVIL(SoundEvent.STONE, SoundEvent.ANVIL_LAND, SoundEvent.STONE),
	LADDER(SoundEvent.WOOD, null),
	GLASS(SoundEvent.GLASS, SoundEvent.STONE, SoundEvent.STONE);

	private final SoundEvent breakSound;
	private final SoundEvent placeSound;
	private final SoundEvent stepSound;

	private SoundType(SoundEvent breakSound, SoundEvent placeSound, SoundEvent stepSound) {
		this.breakSound = breakSound;
		this.placeSound = placeSound;
		this.stepSound = stepSound;
	}

	private SoundType(SoundEvent breakPlaceSound, SoundEvent stepSound) {
		this(breakPlaceSound, breakPlaceSound, stepSound);
	}

	private SoundType(SoundEvent sound) {
		this(sound, sound, sound);
	}

	public SoundEvent getBreakSound() {
		return this.breakSound;
	}

	public SoundEvent getPlaceSound() {
		return this.placeSound;
	}

	public SoundEvent getStepSound() {
		return this.stepSound;
	}
}
